[
{
    blockid=ldap;
    help=service_ldap_ldap;
    custom="com.netscape.management.msgserv.RootInfoControl";
    localvar={
	/* translate this block */
	.cfgldap.border=[titled,"\u7528\u4e8e\u670d\u52a1\u5668\u914d\u7f6e\u7684 LDAP \u8fde\u63a5"];
	.userldap.border=[titled,"\u7528\u4e8e\u7528\u6237\u67e5\u627e\u7684 LDAP \u8fde\u63a5"];
	.uselocal.text="\u4f7f\u7528\u7279\u5b9a\u4e8e Messaging Server \u7684\u76ee\u5f55\u8bbe\u7f6e";
	.host.text="\u4e3b\u673a\u540d:";
	.port.text="\u7aef\u53e3\u53f7:";
	.binddn.text="Bind DN:";
	.usessl.text="\u8fde\u63a5\u65f6\u4f7f\u7528 SSL";
	.basedn.text="Base DN:";
	.editpasswd.text="\u66f4\u6539\u7ed1\u5b9a\u53e3\u4ee4...";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=pane;
	    border=$.cfgldap.border;
	    constraint={
	        gridy=0;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.host.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=0;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldaphost.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.port.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapport.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.binddn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapsiedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.basedn.text;
		    wrap=$g.label.size0;
		    constraint={
		        gridx=0;
		        gridy=-1;
		        weightx=1;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$local.ldapbasedn.value;
		    wrap=$g.label.size3;
		    constraint={
		        gridx=1;
		        gridy=-1;
		        weightx=9;
		        fill=h;
		        anchor=northwest;
		        insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.userldap.border;
	    constraint={
	        gridy=1;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.sephcomp;
	    }
	    content=[
		{
		    ctrl=togglepane;
		    text=$.uselocal.text;
		    val=$local.ugldapuselocal.value;
		    showborder=false;
		    layout=[gridbag];
		    content=[
			{
			    ctrl=label;
			    id=hostlabel;
			    text=$.host.text;
			    target=hostctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=0;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=hostlabel;
			    id=hostctrl;
			    val=$local.ugldaphost.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=0;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=portlabel;
			    text=$.port.text;
			    target=portctrl;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=number;
			    id=portctrl;
			    val=$local.ugldapport.value;
			    label=portlabel;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=dnlabel;
			    text=$.basedn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=dnlabel;
			    val=$local.ugldapbasedn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=label;
			    id=binddnlabel;
			    text=$.binddn.text;
			    wrap=$g.label.size0;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=text;
			    label=binddnlabel;
			    val=$local.ugldapbinddn.value;
			    maxwidth=-1;
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weightx=9;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=separator;
			    constraint={
			        gridx=0;
			        gridy=-1;
			        gridwidth=2;
			        weightx=1;
			        fill=h;
			        anchor=west;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=button;
			    text=$.editpasswd.text;
			    cmd=".editpasswd";
			    constraint={
			        gridx=1;
			        gridy=-1;
			        weighty=1;
			        insets=$g.insets.comp;
			    }
			},
			{
			    ctrl=proxy;
			    id=passwdproxy;
			    val=$local.ugldapbindcred.value;
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editpasswd;
    help=service_ldap_editpasswd;
    localvar={
	.siecred.text="\u53e3\u4ee4:";
	.passwdagain.text="\u786e\u8ba4\u53e3\u4ee4:";
	.info.text="\u6b64\u4e3e\u53ea\u80fd\u6539\u53d8\u90ae\u4ef6\u6536\u53d1\u914d\u7f6e\u4e2d\u7684\u53e3\u4ee4\u3002\u60a8\u8fd8\u9700\u5728\u76ee\u5f55\u4e2d\u66f4\u6539\u53e3\u4ee4";
    };
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=siecredlabel;
		    text=$.siecred.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    val=$.newpasswd;
		    label=siecredlabel;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=againlabel;
		    text=$.passwdagain.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=password;
		    label=againlabel;
		    val=$.confirmpasswd;
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[	    	
		{
		    ctrl=label;
		    id=infolabel;
		    text=$.info.text;
		    wrap=$g.label.size3;
		    aligny=0.5;
		}
	    ]
	}
    ]
}
]
